/**
 * @author Jing Xiao <jing.xiao.ca at gmail.com>
 * @date 2012-06-22
 */

function validateQuery(query){
    	  var words = query.split(' ');
    	  for(var c=0; c < words.length; c++) {
    		  while(words[c].charAt(0) === '+' && words[c].charAt(1) === '+')
    			  words[c] = words[c].substr(1);
    		  while(words[c].charAt(0) === '-' && words[c].charAt(1) === '-')
    			  words[c] = words[c].substr(1);
    	  }
    	  query = words.join(' '); 
    	  return query;
      }

(function($) {

	// For an AutocompleteWidget that uses the q parameter, see:
	// https://github.com/evolvingweb/ajax-solr/blob/gh-pages/examples/reuters/widgets/AutocompleteWidget.q.js
	AjaxSolr.NutchSearchWidget = AjaxSolr.AbstractWidget.extend( {
		hightlight : true,
		displayFields : [ 'title', 'content', 'url' ],
		beforeRequest : function() {

			$(this.target).find('button').click(
					{
						manager : this.manager,
						fields : this.displayFields
					},
					function(event) {
						var manager = event.data.manager;
						var value = jQuery.trim($('#query').val());
						value = validateQuery(value);
						$('#query').val(value);
						if (manager.store.last != value && value) {
							manager.store.last = value;
							q = 'content:(' + value + ') title:(' + value + ')^1.5';
							manager.store.addByValue('q', q);
							manager.store.addByValue('fl', event.data.fields);
							manager.doRequest(0);
						}
					}
			);
			
			$("#query, #and, #phrase, #or, #not").bind(
					'keydown',
					{
						manager : this.manager,
						fields : this.displayFields
					},
					function(event) {
						var mgr = event.data.manager;
						if (event.which == 13 && jQuery.trim($('#query').val())) {
							var value = jQuery.trim($('#query').val());
							value = validateQuery(value);
							$('#query').val(value);
							if (mgr.store.last != value) {
								mgr.store.last = value;
								q = 'content:(' + value + ') title:(' + value + ')^1.5';
								mgr.store.addByValue('q', q);
								mgr.store.addByValue('fl', event.data.fields);
								mgr.doRequest(0);
							}
						}
						
					});

		},
		afterRequest : function() {
			if (undefined === this.manager.store.last || this.manager.store.last.length < 1)
				return;
			if (!this.hightlight)
				return;
			var last = this.manager.store.last.split(" ");
			
			for(var i=0; i<last.length;i++) {
				while(last[i].charAt(0) === '+')
					last[i] = last[i].substr(1);
				while(last[i].charAt(0) === '-')
					last[i] = last[i].substr(1);
				last[i]=last[i].replace(/\"/g,'');
			}
			jQuery('#docs').highlight(last);
		},

		executeRequest : function() {
		}

	});
})(jQuery);
