/**
 * Theme for nutch search
 * @author Coolpanda
 * @licence AGPL http://www.gnu.org/licenses/agpl-3.0.html
 * 
 * http://coolpandaca.wordpress.com
 * 
 */


(function($) {

	AjaxSolr.theme.prototype.result = function(doc, snippet) {
		var output = '';
		
		prefix = '';
        switch (doc.url.split('.').pop().toLowerCase()) {
            case 'pdf':
            case 'xls':
            case 'doc':
            case 'ppt':
            	prefix = '['+ doc.url.split('.').pop().toUpperCase() +'] ';
        }

		if (undefined !== doc.title)
			output = '<div id="result"><h2><a target="_blank" href="' + doc.url + '">' + prefix + doc.title + '</a></h2>';
		else
			output = '<div id="result"><h2><a target="_blank" href="' + doc.url + '">Kein Titel</a></h2>';
		    output += '<a class="links" target="_blank" href="' + doc.url + '">' + doc.url
		           + '</a><br/>';
		    output += '<p>' + snippet + '</p><div><hr/>';
		return output;
	};

	AjaxSolr.theme.prototype.snippet = function(doc) {
		var output = '';
		if (doc.content.length > 300) {
			output += $("<div>").text(doc.content.substring(0, 300)).html();
			output += '<span class="sn" style="display:none;">' + $("<div>").text(doc.content.substring(300)).html();
			output += '</span> <a href="#" class="more">[mehr]</a>';
		} else {
			output += doc.content;
		}
		return output;
	};

	AjaxSolr.theme.prototype.tag = function(value, weight, handler) {
		return $('<a href="#" class="tagcloud_item"/>').text(value).addClass(
				'tagcloud_size_' + weight).click(handler);
	};

	AjaxSolr.theme.prototype.facet_link = function(value, handler) {
		return $('<a href="#"/>').text(value).click(handler);
	};

	AjaxSolr.theme.prototype.no_items_found = function() {
		return 'no items found in current selection';
	};

})(jQuery);



